Index: Fl_Widget.H
===================================================================
--- Fl_Widget.H	(revision 9844)
+++ Fl_Widget.H	(working copy)
@@ -615,6 +615,11 @@
      \li 0: The callback is not done, but changed() is turned on.
      \li FL_WHEN_CHANGED: The callback is done each time the text is
          changed by the user.
+     \li FL_WHEN_NOT_CHANGED: Do the callback whenever user interacts
+         with the widget. Some widgets normally won't do a callback
+	 if there's no change (ie. clicking a tab that's already open
+	 or a radio button already selected). Setting this flag causes
+	 the callback to be done regardless if there's a change.
      \li FL_WHEN_RELEASE: The callback will be done when this widget loses 
          the focus, including when the window is unmapped. This is a useful 
 	 value for text fields in a panel where doing the callback on every
